## helma.framework
Class CookieTrans

    java.lang.Object
      helma.framework.CookieTrans

All Implemented Interfaces:
  java.io.Serializable

    public final class CookieTrans

extends java.lang.Object
implements java.io.Serializable

Cookie Transmitter. A simple, serializable representation of an HTTP cookie.

See Also:
  Serialized Form

Method Summary
`javax.servlet.http.Cookie` `getCookie(java.lang.String defaultPath, java.lang.String defaultDomain)`
`int` `getDays()`
`java.lang.String` `getDomain()`
`java.lang.String` `getName()`
`java.lang.String` `getPath()`
`java.lang.String` `getValue()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public java.lang.String getName()

  Returns:
    ...

### getValue

    public java.lang.String getValue()

  Returns:
    ...

### getDays

    public int getDays()

  Returns:
    ...

### getPath

    public java.lang.String getPath()

  Returns:
    ...

### getDomain

    public java.lang.String getDomain()

  Returns:
    ...

### getCookie

    public javax.servlet.http.Cookie getCookie(java.lang.String defaultPath,
                                               java.lang.String defaultDomain)

  Parameters:
    `defaultPath` - ...
    `defaultDomain` - ...
  Returns:
    ...

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.